astropy (8.0.1-2) unstable; urgency=medium

  * Remove doc dependency from dask

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Aug 2026 08:55:48 +0200

astropy (8.0.1-1) unstable; urgency=medium

  * New upstream version 8.0.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Jul 2026 12:33:55 +0200

astropy (8.0.0-1) unstable; urgency=medium

  * d/uscan: restrict to stable versions
  * New upstream version 8.0.0
  * Rediff patches
  * Push dh compatibility to 14

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Jun 2026 10:12:59 +0200

astropy (8.0.0~rc1-1) experimental; urgency=medium

  * Attempt to fix test_get_coord_range_nan_regression on mipsel
  * New upstream version 8.0.0~rc1

 -- Ole Streicher <olebole@debian.org>  Wed, 03 Jun 2026 14:48:02 +0200

astropy (8.0.0~b1-1) experimental; urgency=medium

  * New upstream version 8.0.0~b1
  * Rediff patches
  * Push Standards-Version to 4.7.4, remove default priority setting
  * New build (doc) dependencies pytho3-dask and python3-fsspec
  * Remove sphinx<9 pinning for docs

 -- Ole Streicher <olebole@debian.org>  Thu, 21 May 2026 18:32:20 +0200

astropy (7.2.0-1) unstable; urgency=medium

  * New upstream version 7.2.0. Switch back to unstable.
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Nov 2025 10:40:24 +0100

astropy (7.2.0~rc2-1) experimental; urgency=medium

  * Also depend on python3-pytz instead of python3-tz
  * New upstream version 7.2.0~rc2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Nov 2025 18:35:51 +0100

astropy (7.1.1-4) experimental; urgency=medium

  * Replace obsolete package python3-tz with python3-pytz
  * Make remaining test xfail that fails under mips64el
  * Confirm marking one test as xfail that sometimes fails on i386

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Oct 2025 09:19:35 +0100

astropy (7.1.1-3) experimental; urgency=medium

  * Increase tolerance for test_polynomial_poorly_conditioned

 -- Ole Streicher <olebole@debian.org>  Mon, 27 Oct 2025 11:10:10 +0100

astropy (7.1.1-2) experimental; urgency=medium

  * Fix FTBFS on GNU Hurd
  * This is an experimento see which of the disabled tests were
    magically fixed in the last years.
  * Remove patches that switch off tests that fail on some platforms

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Oct 2025 12:43:56 +0100

astropy (7.1.1-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.
  * Fix fail to build source after successful build.
  * Remove 'pytest*' 'Depends' from 'python3-astropy'. (Closes: #1095064)
  * Adjust debian/copyright
  * Remove redundant overrides file.
  * Add missing 'Build_depends' of 'pybuild-plugin-pyproject'.

  [ Ole Streicher ]
  * d/watch: switch upstream source to Github
  * New upstream version 7.1.1
  * Rediff patches
  * Remove outdated breaks

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Oct 2025 09:42:08 +0200

astropy (7.1.0-2) unstable; urgency=medium

  * Merge experimental changes (New upstream version 7.1.0)
  * Re-enable test_tabular2d_inverse
  * Build-depend on python3-numpy-dev

 -- Ole Streicher <olebole@debian.org>  Sat, 16 Aug 2025 13:59:26 +0200

astropy (7.0.1-5) unstable; urgency=medium

  * Team upload.
  * Disable the tabular1d_inverse test that started failing
    since latest Pytest (?)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 15 Aug 2025 14:04:59 +0200

astropy (7.0.1-4) unstable; urgency=medium

  * Team Upload
  * Drop dependency on external python3-tomli
  * Replace obsolete pkg-config with pkgconf
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Fri, 15 Aug 2025 12:13:33 +0200

astropy (7.1.0-1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * drop dependency on external python3-tomli

  [ Ole Streicher ]
  * New upstream version 7.1.0
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed
  * Fix reference attributes in d/u/metadata
  * Remove examples (removed upstream)

 -- Ole Streicher <olebole@debian.org>  Sat, 24 May 2025 12:20:07 +0200

astropy (7.0.1-3) unstable; urgency=medium

  * Ignore more tests that may fail in future (Closes: #1078611)

 -- Ole Streicher <olebole@debian.org>  Wed, 07 May 2025 20:57:05 +0200

astropy (7.0.1-2) unstable; urgency=medium

  * Weaken or ignore tests that fail in future

 -- Ole Streicher <olebole@debian.org>  Sat, 15 Feb 2025 15:07:12 +0100

astropy (7.0.1-1) unstable; urgency=medium

  * New upstream version 7.0.1
  * Drop patches that were applied upstream

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Feb 2025 10:02:10 +0100

astropy (7.0.0-5) unstable; urgency=medium

  * Xfail more tests that fail on mips64el

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Feb 2025 14:06:28 +0100

astropy (7.0.0-4) unstable; urgency=medium

  * Adjust last doctest patch from issue comments
  * Mark more tests xfail that fail on mips64el (Closes: #1094883)

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Feb 2025 12:05:10 +0100

astropy (7.0.0-3) unstable; urgency=medium

  * TST: fix 32-bit portability issue in a table doctest (Closes: #1094749)

 -- Ole Streicher <olebole@debian.org>  Fri, 31 Jan 2025 13:00:47 +0100

astropy (7.0.0-2) unstable; urgency=medium

  * TST: adapt test completness metatest for numpy 2.2 (Closes: #1094690)

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jan 2025 10:28:09 +0100

astropy (7.0.0-1) unstable; urgency=medium

  * New upstream version 7.0.0
  * Rediff patches
  * Drop Mark-two-future-test-as-remote_data.patch: fixed upstream
  * Make some more tests xfail that sometimes fail under mips64el
  * Mark one test as xfail that sometimes fails on i386 (Closes: #1087612)

 -- Ole Streicher <olebole@debian.org>  Fri, 22 Nov 2024 15:54:04 +0100

astropy (6.1.5-2) unstable; urgency=medium

  * Temporarily disable h5py (build-)test dependency

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Nov 2024 22:39:33 +0100

astropy (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate 7.0.0~rc1. Switch to experimental.
  * Rediff patches
  * Skip system_info doctest that fails during build
  * Mark three future test as remote_data

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Nov 2024 11:52:55 +0100

astropy (6.1.5-1) unstable; urgency=medium

  * New upstream version 6.1.5
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Nov 2024 10:31:03 +0100

astropy (6.1.4-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Correct python3-pytzdata dependency to python3-tz

  [ Ole Streicher ]
  * Remove outdated pkg-resources dependency in astropy-utils (Closes: #1083305)

 -- Ole Streicher <olebole@debian.org>  Sun, 06 Oct 2024 12:12:33 +0200

astropy (6.1.4-1) unstable; urgency=medium

  * New upstream version 6.1.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 29 Sep 2024 13:47:48 +0200

astropy (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Aug 2024 19:43:53 +0200

astropy (6.1.2-1) unstable; urgency=medium

  * New upstream version 6.1.2
  * Rediff patches
  * Allow older matplotlib when building docs

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Jul 2024 13:42:19 +0200

astropy (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1. Closes: #1074824
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Jul 2024 10:12:14 +0200

astropy (6.0.1-4) unstable; urgency=medium

  * Fix usage of dimensionless quantity as an exponent

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Apr 2024 12:33:10 +0200

astropy (6.0.1-3) unstable; urgency=medium

  * Disable another overflow check warning
  * Drop Dependency on python3-distutils.

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Apr 2024 10:24:30 +0200

astropy (6.0.1-2) unstable; urgency=medium

  * Skip more overflow warning checks that cause CI test failures on armel
  * Force no-color for pytest

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Apr 2024 15:06:26 +0200

astropy (6.0.1-1) unstable; urgency=medium

  * New upstream version 6.0.1. Closes: #1063970
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Mar 2024 20:51:49 +0100

astropy (6.0.0-1) unstable; urgency=medium

  * New upstream version 6.0.0.
  * Rediff patches
  * Switch back to unstable.
  * New build dependency python3-tomli

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Dec 2023 19:56:52 +0100

astropy (6.0.0~rc2-2) experimental; urgency=medium

  * Revert "Don't call cython"
  * Require cython-3.0 as build dependency. Closes: #1056790

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Nov 2023 11:09:00 +0100

astropy (6.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate 6.0.0~rc2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Nov 2023 08:21:10 +0100

astropy (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate 6.0.0~rc1
  * Switch to experimental
  * Rediff patches. Drop patch applied upstrean.
  * Temporarily use pre-generated cython files
  * Add new build dependencies
  * Adjust generation of PLY files

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Nov 2023 20:48:18 +0100

astropy (5.3.4-2) unstable; urgency=medium

  * Account for SOFA/ERFA bugfix in pvstar (Closes: #1054775)

 -- Ole Streicher <olebole@debian.org>  Wed, 01 Nov 2023 10:05:00 +0100

astropy (5.3.4-1) unstable; urgency=medium

  * New upstream version 5.3.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Oct 2023 07:55:45 +0200

astropy (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 08 Sep 2023 07:58:17 +0200

astropy (5.3.2-1) unstable; urgency=medium

  * New upstream version 5.3.2
  * Rediff patches
  * Add tzdata to test dependencies

 -- Ole Streicher <olebole@debian.org>  Wed, 16 Aug 2023 18:43:48 +0200

astropy (5.3.1-2) unstable; urgency=medium

  * Don't check overflow warning that doesn't appear on armel

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 14:57:15 +0200

astropy (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 08:43:20 +0200

astropy (5.3-1) unstable; urgency=medium

  * New upstream version 5.3
  * Switch back to unstable
  * Rediff patches
  * Remove unneeded minversions from build dep

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Jun 2023 21:36:52 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-astropy`.
